| Elektra 0.11.0

Functions
proposal.c File Reference

Implementation of proposed API enhancements. More...

`#include <string.h>`
`#include <kdbprivate.h>`

## Functions
Key * | elektraKsPopAtCursor (KeySet *ks, elektraCursor pos)
| Pop key at given cursor position.

## Detailed Description

Implementation of proposed API enhancements.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Function Documentation

## ◆ elektraKsPopAtCursor()

Key * elektraKsPopAtCursor | ( | KeySet * | ks,
|  | elektraCursor | pos
| ) |  |

Pop key at given cursor position.

Parameters

  ks | the keyset to pop key from
  c | where to pop

Returns
  the popped key

Return values

  0 | if ks is 0